###########################################################################
#
# win32 makefile -- gsdl
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDLHOME = d:\home\dl\gsdl

AR = lib
CC = cl
CPPFLAGS =

MAKE = nmake
MDEFINES = /nologo /c /f win32.mak
COMPILE = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES)

SOURCES = 

OBJECTS = 

ALLFILES = $(OBJECTS)

DIRS = packages\wingdbm packages\mg\lib packages\mg\src\text lib \
       src\colservr src\recpt src\txt2db src\db2txt src\hashfile

INSTALLDIRS = src\recpt src\txt2db src\db2txt src\hashfile packages\mg\src\text

all:
	for %%o in ($(DIRS)) do \
	  (cd %%o && $(MAKE) $(MDEFINES) $@ && cd $(GSDLHOME)) || exit 1

install:
	for %%i in ($(INSTALLDIRS)) do \
	  (cd %%i && $(MAKE) $(MDEFINES) install && cd $(GSDLHOME)) || exit 1
clean:
	for %%s in ($(DIRS)) do \
	  (cd %%s && $(MAKE) $(MDEFINES) clean && cd $(GSDLHOME)) || exit 1
